<?php
/**
 * Hilfsfunktionen
 *
 * @author        Christian Lang
 * @version        1.0
 * @category    network
 */

function dt_get_network_form_signup_url ()
{
    $platform   = get_field( 'lustagenten_platform', 'options' ) ?: '.com';
    $wm_id      = get_field( 'lustagenten_wm_id', 'options' );
    $wm_kpid    = get_field( 'lustagenten_wm_kpid', 'options' );
    $whitelabel = get_field( 'lustagenten_whitelabel', 'options' );
    $api_key    = get_field( 'lustagenten_api_key', 'options' );
	$host = 'https://www.lustagenten' . $platform . '/';

	if ( $whitelabel ) {
		$host = $whitelabel;

		if ( substr( $host, -1 ) != '/' ) {
			$host .= '/';
		}
	}

	return apply_filters( 'dt_get_network_form_signup_url', $host . 'registrieren/0/?w=' . $wm_id . '&ws=' . $wm_kpid . '.wpd' );
}

function dt_get_network_form_validate_url ()
{
    $lustagenten_platform = ( get_field( 'lustagenten_platform', 'option' ) ? get_field( 'lustagenten_platform', 'option' ) : '.com' );
    $lustagenten_wm_id    = get_field( 'lustagenten_wm_id', 'option' );
    $lustagenten_wm_kpid  = get_field( 'lustagenten_wm_kpid', 'option' );

    return apply_filters( 'dt_get_network_form_validate_url', 'https://www.lustagenten' . $lustagenten_platform . '/interface/checkUser/?w=' . $lustagenten_wm_id . '&ws=' . $lustagenten_wm_kpid . '.wpd' );
}

if ( ! function_exists( 'dt_reg_reports_to_db' ) ) {
    add_action( 'wp_ajax_reg_report', 'dt_reg_reports_to_db' );
    add_action( 'wp_ajax_nopriv_reg_report', 'dt_reg_reports_to_db' );
    function dt_reg_reports_to_db ()
    {
        echo 'OK';
        exit;
    }
}

function dt_vxcash_generate_smartlink() {
   $platform = get_field( 'lustagenten_platform', 'options' );
   $wmId     = get_field( 'lustagenten_wm_id', 'options' );
   $wmKpid   = get_field( 'lustagenten_wm_kpid', 'options' );

   if ( $platform == 'smartlink-hard' ) {
       return 'https://www.zubivu.com/Smartlink/Dating?w=' . $wmId . '&ws=' . $wmKpid;
   }

   return 'https://www.zubivu.com/Smartlink/Dating/Soft?w=' . $wmId . '&ws=' . $wmKpid;
}

/**
 * Add echtprivat depcreated notice
 *
 * @return void
 */

add_action( 'admin_notices', function () {
	$platform = get_field( 'lustagenten_platform', 'options' );

	if ( $platform == 'echtprivat' ) {
		$class   = 'notice notice-error';
		$message = '<strong>Wichtige Änderung:</strong> Wir haben den Support für das Netzwerk <strong>Echtprivat</strong> eingestellt. Bitte nutze ein anderes Netzwerk.';

		printf( '<div class="%1$s"><p>%2$s</p></div>', esc_attr( $class ), $message );
	}
} );