<?php
/**
 * ACF Funktionen
 * 
 * @author		Christian Lang
 * @version		1.0
 * @category	acf
 */

define( 'ACF_LITE' , false );

add_filter('acf/settings/path', 'dt_acf_settings_path');
function dt_acf_settings_path( $path ) {
	$path = DT_PLUGINS . '/acf/core/';
	return $path;
	
}

add_filter('acf/settings/dir', 'dt_acf_settings_dir');
function dt_acf_settings_dir( $dir ) {
	$dir = get_template_directory_uri() . '/library/plugins/acf/core/';
	return $dir;
}

add_filter('acf/settings/load_json', 'dt_acf_json_load_point');
function dt_acf_json_load_point( $paths ) {
	unset($paths[0]);
	$paths[] = get_template_directory() . '/library/plugins/acf/json';
	return $paths;
}

add_filter('acf/settings/save_json', 'dt_acf_json_save_point');
function dt_acf_json_save_point( $path ) {
	$path = get_template_directory() . '/library/plugins/acf/json';
	return $path;
}

/*
 * Update-Vorgang deaktivieren
 */
add_filter('acf/settings/show_updates', 'dt_acf_settings_show_updates');
function dt_acf_settings_show_updates( $path ) {
	return false;
}

if(function_exists('acf_add_options_page')) { 
	acf_add_options_page(array('page_title' => 'Optionen', 'menu_title' => 'Optionen', 'icon_url' => 'dashicons-heart', 'capability' => 'manage_options'));
	acf_add_options_sub_page(array('title' => 'Allgemein', 'parent' => 'acf-options-optionen'));
	acf_add_options_sub_page(array('title' => 'Design', 'parent' => 'acf-options-optionen'));
	acf_add_options_sub_page(array('title' => 'Blog', 'parent' => 'acf-options-optionen'));
	acf_add_options_sub_page(array('title' => 'St&auml;dte', 'parent' => 'acf-options-optionen'));
	acf_add_options_sub_page(array('title' => 'Profile', 'parent' => 'acf-options-optionen'));
	acf_add_options_sub_page(array('title' => 'VX-CASH', 'parent' => 'acf-options-optionen'));
	acf_add_options_sub_page(array('title' => 'Popup', 'parent' => 'acf-options-optionen'));
	acf_add_options_sub_page(array('title' => 'Floating Bar', 'parent' => 'acf-options-optionen'));
}


/*
 * Add Meta Box to Option Panel
 */
add_action( 'acf/input/admin_head', 'dt_register_support_metabox' );
function dt_register_support_metabox() {
	if(function_exists('add_meta_box')) {
		add_meta_box('dt_support_box', __('Wichtige Links & Support', 'datingtheme'), 'dt_show_support_metabox', 'acf_options_page', 'side', 'low');
	}
}

function dt_show_support_metabox( $post ) {
	?>
	<img src="<?php echo get_template_directory_uri(); ?>/library/helper/images/backend-mini-teaser.png"/>

	<p>
		<?php _e('Du hast Fragen zur Installation, Konfiguration oder Anpassung des Themes?
		Dann wirf einen Blick auf die Folgenden Informationen:', 'datingtheme'); ?>
	</p>

	<p>
		<a href="https://www.datingtheme.io/" target="_blank"><?php _e('Webseite', 'datingtheme'); ?></a><br>
		<a href="https://www.datingtheme.io/dokumentation/" target="_blank"><?php _e('Dokumentation', 'datingtheme'); ?></a><br>
		<a href="https://www.youtube.com/playlist?list=PLcOtQDnVBlDkH6EMwiZlHif267O8MuiWi" target="_blank"><?php _e('Video Tutorials', 'datingtheme'); ?></a><br>
		<a href="https://www.datingtheme.io/changelog/" target="_blank"><?php _e('Changelog', 'datingtheme'); ?></a>
	</p>

	<p>
		<?php printf(__('Zur einwandfreien Nutzung des Themes benötigst du einen VX-CASH Account.
		Du hast noch keinen VX-CASH Webmaster Account? <a href="%s" target="_blank">Hier registrieren.</a>', 'datingtheme'), 'https://www.vxcash.net/'); ?>
	</p>

	<p>
		<?php printf(__('Copyright &copy; 2016 <a href="%s" target="_blank">datingtheme.io</a>', 'datingtheme'), 'https://www.datingtheme.io/'); ?>
	</p>
	<?php
}
?>