<?php
/**
 * Affiliate Theme Shortcode Generator
 *
 * @author		Christian Lang
 * @version		1.0
 * @category	tinymce
 */

add_action('admin_head', 'dt_tinymce_addbuttons');
function dt_tinymce_addbuttons() {
	global $typenow;

	if ( !current_user_can('edit_posts') && !current_user_can('edit_pages') ) {
		return;
	}

	if ( get_user_option('rich_editing') == 'true') {
		add_filter("mce_external_plugins", "dt_shortcodes_tinymce_plugin");
		add_filter('mce_buttons', 'dt_register_shortcodes_button');
	}
}

function dt_shortcodes_tinymce_plugin($plugin_array) {
	$plugin_array['dt_tinymce_addbuttons'] = esc_url( get_template_directory_uri() ) . '/library/plugins/tinymce/shortcodes.js';
	return $plugin_array;
}

function dt_register_shortcodes_button($buttons) {
	array_push($buttons, "dt_tinymce_addbuttons");
	return $buttons;
}

add_filter('admin_enqueue_scripts', 'dt_add_shortcodes_scripts');
function dt_add_shortcodes_scripts() {
    wp_register_script('dt_shortcode_listbox', get_template_directory_uri() . '/library/plugins/tinymce/_/js/ui.multiselect.js', 'jquery-ui-widegt', '1.0', true);
    wp_enqueue_style('dt_shortcode_ui_css', get_template_directory_uri() . '/library/plugins/tinymce/_/css/jquery.ui.min.css');

    wp_enqueue_script('jquery-ui-core');
    wp_enqueue_script('jquery-ui-widget');
    wp_enqueue_script('dt_shortcode_listbox');
}
?>