<?php
if(!class_exists('addProfile')) {
    class addProfile {
        var $post_id;
        var $content;
        var $unique_key;
        var $unique_val;
        var $status;

        function __construct($title, $content, $unique_key = '', $unique_val = '', $status = 'publish') {
            if (!$title)
                return false;

            if ("" != $unique_key && "" != $unique_val) {
                global $wpdb;

                if ($unique = $wpdb->get_var("SELECT post_id FROM " . $wpdb->postmeta . " WHERE meta_key = '" . $unique_key . "' AND meta_value = '" . $unique_val . "' LIMIT 0,1")) {
                    // update table
                    $wpdb->update(
                        DT_PROFILE_IMPORT_IDS,
                        array( 'imported' => 1 ),
                        array( 'userid' => $unique_val ),
                        array( '%d' ),
                        array( '%d' )
                    );

                    return false;
                }
            }

            $args = array(
                'post_title' => $title,
                'post_content' => $content,
                'post_status' => $status,
                'post_type' => 'profile'
            );

            if ($post_id = wp_insert_post($args)) {
                $this->post_id = $post_id;
            }
        }

        function add_field($field, $value = '') {
            if (!$field)
                return;

            if ($row_id = add_post_meta($this->post_id, $field, $value)) {
                return $row_id;
            }

            return;
        }

        function add_term($taxonomy, $values = array(), $append = false) {
            if (!$taxonomy)
                return;

            if ($row_id = wp_set_object_terms($this->post_id, $values, $taxonomy, $append)) {
                return $row_id;
            }

            return;
        }

        function add_image($url, $thumbnail = false) {
            if (!$url)
                return;

            if ($att_id = dt_attach_external_image($url, $this->post_id, $thumbnail)) {
                return $att_id;
            }

            return;
        }

    }
}