<?php
/**
 * Import Hilfsfunktionen
 *
 * @author		Christian Lang
 * @version		1.0
 * @category	profiles
 */
global $wpdb;
define( 'DT_PROFILE_IMPORT_IDS', $wpdb->prefix . 'dt_profile_import_ids' );

add_action('after_switch_theme', 'dt_profile_import_database');
function dt_profile_import_database() {
    global $wpdb;
    /*
    * Installiere die Tabelle für den Profile Import
    */
    if ($wpdb->get_var("show tables like '" . DT_PROFILE_IMPORT_IDS . "'") != DT_PROFILE_IMPORT_IDS) {
        $sql = "CREATE TABLE " . DT_PROFILE_IMPORT_IDS . " (
            id int(11) NOT NULL AUTO_INCREMENT,
            userid int(11) NOT NULL,
            network varchar(50) NOT NULL,
            imported int(1) NOT NULL DEFAULT '0',
            last_update datetime NOT NULL,
            PRIMARY KEY (id),
            UNIQUE KEY userid (userid)
		);";

        require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
        dbDelta($sql);
    }
}

function dt_profile_get_import_interval() {
    $limit = dt_profile_get_import_limit();
    $interval = 'hourly';

    if($limit < 100) {
        $interval = '15min';
    } else if($limit < 300) {
        $interval = '30min';
    }

    return apply_filters('dt_profile_import_interval', $interval);
}

function dt_profile_get_import_interval_label() {
    $interval = dt_profile_get_import_interval();

    switch($interval) {
        case '15min':
            return __('30 Minuten', 'datingtheme');
            break;

        case '30min':
            return __('30 Minuten', 'datingtheme');
            break;
        
        default:
            return __('1 Stunde', 'datingtheme');
            break;
    }

    return false;
}

function dt_profile_get_import_limit() {
    $limit = ini_get('max_execution_time');

    if(!$limit || $limit = -1) {
        $limit = 30;
    }

    return apply_filters('dt_profile_import_limit', $limit);
}