<?php
/*
 * Registrieren der Sidebars
 * 
 * @author		Christian Lang
 * @version		1.0
 * @category	widgets
 */
 
register_sidebar(array(
    'name' => __('Allgemeine Sidebar', 'datingtheme'),
    'id' => 'standard',
    'description' => __('Allgemeine Sidebar.', 'datingtheme'),
    'before_widget' => '<aside id="%1$s" class="widget %2$s">',
    'after_widget' => '</aside>',
    'before_title' => '<p class="h1">',
    'after_title' => '</p>',
));

register_sidebar(array(
	'name' => __('Städte Sidebar', 'datingtheme'),
	'id' => 'location',
	'description' => __('Sidebar für alle Städteseiten.', 'datingtheme'),
	'before_widget' => '<aside id="%1$s" class="widget %2$s">',
	'after_widget' => '</aside>',
	'before_title' => '<p class="h1">',
	'after_title' => '</p>',
));

register_sidebar(array(
	'name' => __('Blog Sidebar', 'datingtheme'),
	'id' => 'post',
	'description' => __('Sidebar für alle Blogseiten (Kategorien, Tags, Autoren, Beiträge, usw.).', 'datingtheme'),
	'before_widget' => '<aside id="%1$s" class="widget %2$s">',
	'after_widget' => '</aside>',
	'before_title' => '<p class="h1">',
	'after_title' => '</p>',
));

if(get_field('design_footer_widgets', 'option') == '1') {
	for($i=1; $i<5; $i++) {
		register_sidebar(array(
			'name' => __('Footer ', 'datingtheme') . '('.$i.')',
			'id' => 'footer_'.$i,
			'description' => '',
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget' => '</aside>',
			'before_title' => '<p class="h1">',
			'after_title' => '</p>',
		));
	}
}
?>