<?php
/**
 * Widget: Profile
 */
class profiles_widget extends WP_Widget {
    public function __construct() {
        $widget_ops = array('classname' => 'widget_profiles', 'description' => 'Dieses Widget zeigt zufällige Profile an.' );
        parent::__construct('profiles_widget', 'datingtheme.io &raquo; Zufällige Profile', $widget_ops);
    }

    function widget($args, $instance) {
        extract($args, EXTR_SKIP);
        
        echo $before_widget;

        if($instance['title']) { echo $before_title . $instance['title'] . $after_title; }

        $posts_per_page = ($instance['posts_per_page'] ? $instance['posts_per_page'] : '12');

        echo do_shortcode('[profiles layout="grid-small" orderby="rand" limit="' . $posts_per_page . '"]');

        echo $after_widget;
    }

    function update($new_instance, $old_instance) {
        $instance = $old_instance;
        $instance['title'] = strip_tags($new_instance['title']);
        $instance['posts_per_page'] = strip_tags($new_instance['posts_per_page']);

        return $instance;
    }

    function form($instance) {
        $instance = wp_parse_args( (array) $instance, array( 'title' => '', 'posts_per_page' => '' ) );
        $title = $instance['title'];
        $posts_per_page = $instance['posts_per_page'];
        ?>
        <p>
            <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Titel:', 'datingtheme'); ?></label>
            <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo $title; ?>">
        </p>

        <p>
            <label for="<?php echo $this->get_field_id('posts_per_page'); ?>"><?php _e('Anzahl an Profilen:', 'datingtheme'); ?></label>
            <input class="widefat" id="<?php echo $this->get_field_id('posts_per_page'); ?>" name="<?php echo $this->get_field_name('posts_per_page'); ?>" value="<?php echo ($posts_per_page ? $posts_per_page : '12'); ?>">
        </p>
    <?php
    }
}
register_widget('profiles_widget');