<?php
/**
 * Widget: Schnellsuche
 */
class quick_search_widget extends WP_Widget {
    public function __construct() {
        $widget_ops = array('classname' => 'widget_quick_search', 'description' => 'Dieses Widget zeigt die Schnellsuche an.' );
        parent::__construct('quick_search_widget', 'datingtheme.io &raquo; Schnellsuche', $widget_ops);
    }

    function widget($args, $instance) {
        extract($args, EXTR_SKIP);
        global $post, $wpdb, $_GET;

        echo $before_widget;

        if($instance['title']) { echo $before_title . $instance['title'] . $after_title; }

        /*
         * VARS
         */
        $gender = get_field('profile_search_gender', 'widget_' . $args['widget_id']);
        $age = get_field('profile_search_age', 'widget_' . $args['widget_id']);
        $size = get_field('profile_search_size', 'widget_' . $args['widget_id']);
        $weight = get_field('profile_search_weight', 'widget_' . $args['widget_id']);
        $figure = get_field('profile_search_figure', 'widget_' . $args['widget_id']);
        $hair_color = get_field('profile_search_hair_color', 'widget_' . $args['widget_id']);
        $city = get_field('profile_search_city', 'widget_' . $args['widget_id']);

        if($filter_page = get_posts(array('post_type' => 'page', 'meta_key' => '_wp_page_template', 'meta_value' => 'templates/filter.php', 'posts_per_page' => 1))) {
            ?>
            <form action="<?php echo get_permalink($filter_page[0]->ID); ?>" id="quicksearch" method="GET">
                <?php if ($gender == '1') { ?>
                    <div class="form-group">
                        <label for="gender" class="control-label"><?php _e('Ich suche', 'datingtheme'); ?></label>
                        <select id="gender" name="gender" class="form-control">
                            <option value=""><?php _e('Bitte wählen', 'datingtheme'); ?></option>
                            <option value="male" <?php echo((isset($_GET['gender']) && $_GET['gender'] == 'male') ? 'selected' : ''); ?>><?php _e('einen Mann', 'datingtheme'); ?></option>
                            <option value="female" <?php echo((isset($_GET['gender']) && $_GET['gender'] == 'female') ? 'selected' : ''); ?>><?php _e('eine Frau', 'datingtheme'); ?></option>
                            <option value="T" <?php echo((isset($_GET['gender']) && $_GET['gender'] == 'T') ? 'selected' : ''); ?>><?php _e('einen Transvestit', 'datingtheme'); ?></option>
                            <option value="S" <?php echo((isset($_GET['gender']) && $_GET['gender'] == 'S') ? 'selected' : ''); ?>><?php _e('ein Shemale/Transexuelle', 'datingtheme'); ?></option>
                            <option value="FF" <?php echo((isset($_GET['gender']) && $_GET['gender'] == 'FF') ? 'selected' : ''); ?>><?php _e('ein Paar (Frau/Frau)', 'datingtheme'); ?></option>
                            <option value="FM" <?php echo((isset($_GET['gender']) && $_GET['gender'] == 'FM') ? 'selected' : ''); ?>><?php _e('ein Paar (Frau/Mann)', 'datingtheme'); ?></option>
                            <option value="MM" <?php echo((isset($_GET['gender']) && $_GET['gender'] == 'MM') ? 'selected' : ''); ?>><?php _e('ein Paar (Mann/Mann)', 'datingtheme'); ?></option>
                        </select>
                    </div>
                <?php } ?>

                <?php if ($age == '1') { ?>
                    <div class="form-group">
                        <label for="age_from" class="control-label"><?php _e('Im Alter von', 'datingtheme'); ?></label>

                        <div class="row">
                            <div class="col-sm-5">
                                <select id="age_from" name="age_from" class="form-control">
                                    <?php for ($i = 18; $i <= 99; $i++) { ?>
                                        <option
                                            value="<?php echo $i; ?>" <?php echo((isset($_GET['age_from']) && $_GET['age_from'] == $i) ? 'selected' : ''); ?>><?php echo $i; ?></option>
                                    <?php } ?>
                                </select>
                            </div>
                            <div class="col-sm-2">
                                <?php _e('bis', 'datingtheme'); ?>
                            </div>
                            <div class="col-sm-5">
                                <select id="age_to" name="age_to" class="form-control">
                                    <?php for ($i = 18; $i <= 99; $i++) { ?>
                                        <option value="<?php echo $i; ?>" <?php if (isset($_GET['age_to'])) {
                                            if ($_GET['age_to'] == $i) echo 'selected';
                                        } else {
                                            if ($i == '35') echo 'selected';
                                        } ?>><?php echo $i; ?></option>
                                    <?php } ?>
                                </select>
                            </div>
                        </div>
                    </div>
                <?php } ?>

                <?php if ($size == '1') { ?>
                    <div class="form-group">
                        <label for="size_from" class="control-label"><?php _e('Größe von', 'datingtheme'); ?></label>

                        <div class="row">
                            <div class="col-sm-5">
                                <select id="size_from" name="size_from" class="form-control">
                                    <?php for ($i = 100; $i <= 230; $i++) { ?>
                                        <option
                                            value="<?php echo $i; ?>" <?php echo((isset($_GET['size_from']) && $_GET['size_from'] == $i) ? 'selected' : ''); ?>><?php echo $i . __(' cm', 'datingtheme'); ?></option>
                                    <?php } ?>
                                </select>
                            </div>
                            <div class="col-sm-2">
                                <?php _e('bis', 'datingtheme'); ?>
                            </div>
                            <div class="col-sm-5">
                                <select id="size_to" name="size_to" class="form-control">
                                    <?php for ($i = 100; $i <= 230; $i++) { ?>
                                        <option value="<?php echo $i; ?>" <?php if (isset($_GET['size_to'])) {
                                            if ($_GET['size_to'] == $i) echo 'selected';
                                        } else {
                                            if ($i == '190') echo 'selected';
                                        } ?>><?php echo $i . __(' cm', 'datingtheme'); ?></option>
                                    <?php } ?>
                                </select>
                            </div>
                        </div>
                    </div>
                <?php } ?>

                <?php if ($weight == '1') { ?>
                    <div class="form-group">
                        <label for="weight_from"
                               class="control-label"><?php _e('Gewicht von', 'datingtheme'); ?></label>

                        <div class="row">
                            <div class="col-sm-5">
                                <select id="weight_from" name="weight_from" class="form-control">
                                    <?php for ($i = 40; $i <= 200; $i++) { ?>
                                        <option
                                            value="<?php echo $i; ?>" <?php echo((isset($_GET['weight_from']) && $_GET['weight_from'] == $i) ? 'selected' : ''); ?>><?php echo $i . __(' kg', 'datingtheme'); ?></option>
                                    <?php } ?>
                                </select>
                            </div>
                            <div class="col-sm-2">
                                <?php _e('bis', 'datingtheme'); ?>
                            </div>
                            <div class="col-sm-5">
                                <select id="weight_to" name="weight_to" class="form-control">
                                    <?php for ($i = 40; $i <= 200; $i++) { ?>
                                        <option value="<?php echo $i; ?>" <?php if (isset($_GET['weight_to'])) {
                                            if ($_GET['weight_to'] == $i) echo 'selected';
                                        } else {
                                            if ($i == '70') echo 'selected';
                                        } ?>><?php echo $i . __(' kg', 'datingtheme'); ?></option>
                                    <?php } ?>
                                </select>
                            </div>
                        </div>
                    </div>
                <?php } ?>

                <?php if ($figure == '1') { ?>
                    <div class="form-group">
                        <label for="figure" class="control-label"><?php _e('Figur', 'datingtheme'); ?></label>
                        <select id="figure" name="figure" class="form-control">
                            <option value=""><?php _e('Figur wählen', 'datingtheme'); ?></option>
                            <option value="Schlank" <?php echo((isset($_GET['figure']) && $_GET['figure'] == 'Schlank') ? 'selected' : ''); ?>><?php _e('Schlank', 'datingtheme'); ?></option>
                            <option value="Athletisch" <?php echo((isset($_GET['figure']) && $_GET['figure'] == 'Athletisch') ? 'selected' : ''); ?>><?php _e('Athletisch', 'datingtheme'); ?></option>
                            <option value="Muskulös" <?php echo((isset($_GET['figure']) && $_GET['figure'] == 'Muskulös') ? 'selected' : ''); ?>><?php _e('Muskulös', 'datingtheme'); ?></option>
                            <option value="Durchschnittlich" <?php echo((isset($_GET['figure']) && $_GET['figure'] == 'Durchschnittlich') ? 'selected' : ''); ?>><?php _e('Durchschnittlich', 'datingtheme'); ?></option>
                            <option value="Mollig" <?php echo((isset($_GET['figure']) && $_GET['figure'] == 'Mollig') ? 'selected' : ''); ?>><?php _e('Mollig', 'datingtheme'); ?></option>
                            <option value="Dick" <?php echo((isset($_GET['figure']) && $_GET['figure'] == 'Dick') ? 'selected' : ''); ?>><?php _e('Dick', 'datingtheme'); ?></option>
                            <option value="Stämmig" <?php echo((isset($_GET['figure']) && $_GET['figure'] == 'Stämmig') ? 'selected' : ''); ?>><?php _e('Stämmig', 'datingtheme'); ?></option>
                        </select>
                    </div>
                <?php } ?>

                <?php if ($hair_color == '1') { ?>
                    <div class="form-group">
                        <label for="hair_color" class="control-label"><?php _e('Haarfarbe', 'datingtheme'); ?></label>
                        <select id="hair_color" name="hair_color" class="form-control">
                            <option value=""><?php _e('Haarfarbe wählen', 'datingtheme'); ?></option>
                            <option value="Blond" <?php echo((isset($_GET['hair_color']) && $_GET['hair_color'] == 'Blond') ? 'selected' : ''); ?>><?php _e('Blond', 'datingtheme'); ?></option>
                            <option value="Glatze" <?php echo((isset($_GET['hair_color']) && $_GET['hair_color'] == 'Glatze') ? 'selected' : ''); ?>><?php _e('Glatze', 'datingtheme'); ?></option>
                            <option value="Dunkelblond" <?php echo((isset($_GET['hair_color']) && $_GET['hair_color'] == 'Dunkelblond') ? 'selected' : ''); ?>><?php _e('Dunkelblond', 'datingtheme'); ?></option>
                            <option value="Schwarz" <?php echo((isset($_GET['hair_color']) && $_GET['hair_color'] == 'Schwarz') ? 'selected' : ''); ?>><?php _e('Schwarz', 'datingtheme'); ?></option>
                            <option value="Braun" <?php echo((isset($_GET['hair_color']) && $_GET['hair_color'] == 'Braun') ? 'selected' : ''); ?>><?php _e('Braun', 'datingtheme'); ?></option>
                            <option value="Brünett" <?php echo((isset($_GET['hair_color']) && $_GET['hair_color'] == 'Brünett') ? 'selected' : ''); ?>><?php _e('Brünett', 'datingtheme'); ?></option>
                            <option value="Rot" <?php echo((isset($_GET['hair_color']) && $_GET['hair_color'] == 'Rot') ? 'selected' : ''); ?>><?php _e('Rot', 'datingtheme'); ?></option>
                            <option value="Grau" <?php echo((isset($_GET['hair_color']) && $_GET['hair_color'] == 'Grau') ? 'selected' : ''); ?>><?php _e('Grau', 'datingtheme'); ?></option>
                            <option value="Weiß" <?php echo((isset($_GET['hair_color']) && $_GET['hair_color'] == 'Weiß') ? 'selected' : ''); ?>><?php _e('Weiß', 'datingtheme'); ?></option>
                            <option value="Bunt" <?php echo((isset($_GET['hair_color']) && $_GET['hair_color'] == 'Bunt') ? 'selected' : ''); ?>><?php _e('Bunt', 'datingtheme'); ?></option>
                            <option value="Andere" <?php echo((isset($_GET['hair_color']) && $_GET['hair_color'] == 'Andere') ? 'selected' : ''); ?>><?php _e('Andere', 'datingtheme'); ?></option>
                        </select>
                    </div>
                <?php } ?>

                <?php if ($city == '1') { ?>
                    <div class="form-group">
                        <label for="city" class="control-label"><?php _e('In der Stadt', 'datingtheme'); ?></label>
                        <input type="text" name="city" id="city" class="form-control"
                               value="<?php echo(isset($_GET['city']) ? htmlspecialchars($_GET['city']) : ''); ?>"/>
                    </div>
                <?php } ?>

                <div class="form-group">
                    <button type="submit" class="btn btn-dt pull-right"><i
                            class="fa fa-search"></i> <?php echo $instance['button_text']; ?></button>
                    <div class="clearfix"></div>
                </div>
            </form>
            <?php
        } else {
            if(is_user_logged_in()) {
                echo '<div class="textwidget"><p><strong>Hinweis:</strong> Bitte lege eine seperate Seite mit dem Template "Schnellsuche" fest, damit die Suche korrekt funktionieren kann.</p></div>';
            }
        }

        echo $after_widget;
    }

    function update($new_instance, $old_instance) {
        $instance = $old_instance;
        $instance['title'] = strip_tags($new_instance['title']);
        $instance['button_text'] = $new_instance['button_text'];

        return $instance;
    }

    function form($instance) {
        $instance = wp_parse_args( (array) $instance, array( 'title' => '', 'button_text' => '') );
        $title = $instance['title'];
        $button_text = $instance['button_text'];
        ?>
        <div class="hint">
            <p>
                Wenn du die Suche nutzen willst, musst du anschließend eine Zielseite erstellen. Lege dazu einfach eine neue Seite an und definiere das Template "Schnellsuche". Anschließend leitet die Suche automatisch auf diese Seite weiter.
            </p>
        </div>
        <p>
            <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Titel:', 'datingtheme'); ?></label>
            <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo $title; ?>">
        </p>

        <p>
            <label for="<?php echo $this->get_field_id('button_text'); ?>"><?php _e('Button Text:', 'datingtheme'); ?></label>
            <input class="widefat" id="<?php echo $this->get_field_id('button_text'); ?>" name="<?php echo $this->get_field_name('button_text'); ?>" value="<?php echo $button_text; ?>">
        </p>
    <?php
    }
}
register_widget('quick_search_widget');