<?php
/**
 * Widget: Top Städte
 */
class top_citys_widget extends WP_Widget {
    public function __construct() {
        $widget_ops = array('classname' => 'widget_location_list widget_block', 'description' => 'Dieses Widget zeigt alle Top-Städte an.' );
        parent::__construct('top_citys_widget', 'datingtheme.io &raquo; Alle Top-Städte', $widget_ops);
    }

    function widget($args, $instance) {
        extract($args, EXTR_SKIP);
        global $post;

        if(false == ($citys = get_field('widget_top_citys', 'widget_' . $args['widget_id']))) {
            $citys = get_field('state_top_citys', $post->ID);
        }

        if($citys) {

            echo $before_widget;

            if($instance['title']) { echo $before_title . $instance['title'] . $after_title; }

            ?><ul class="list-unstyled"><?php
                foreach($citys as $item) {
                    ?>
                    <li><a href="<?php echo get_permalink($item->ID); ?>"><?php echo get_the_title($item->ID); ?></a></li>
                    <?php
                }
                ?>
            </ul>
            <div class="clearfix"></div>
            <?php

            echo $after_widget;
        }
    }

    function update($new_instance, $old_instance) {
        $instance = $old_instance;
        $instance['title'] = strip_tags($new_instance['title']);

        return $instance;
    }

    function form($instance) {
        $instance = wp_parse_args( (array) $instance, array( 'title' => '') );
        $title = $instance['title'];

        ?>
        <p>
            <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Titel:', 'datingtheme'); ?></label>
            <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo $title; ?>">
        </p>
    <?php
    }
}
register_widget('top_citys_widget');