<?php
/*
 * VARS
 * 
 */
global $grid_col;
$predefined_profiles = get_field('profiles');
$posts_per_page = (get_field('location_single_profile_numberposts', 'options') ? get_field('location_single_profile_numberposts', 'options') : 12);
$layout = (get_field('location_single_profile_layout', 'options') ? get_field('location_single_profile_layout', 'options') : 'list');
$orderby = (get_field('location_single_profile_orderby', 'options') ? get_field('location_single_profile_orderby', 'options') : 'rand');
$order = (get_field('location_single_profile_order', 'options') ? get_field('location_single_profile_order', 'options') : 'desc');
$gender = (get_field('location_single_profile_gender', 'options') ? get_field('location_single_profile_gender', 'options') : '');
$age_from = (get_field('location_single_profile_age_from', 'options') ? get_field('location_single_profile_age_from', 'options') : '');
$age_to = (get_field('location_single_profile_age_to', 'options') ? get_field('location_single_profile_age_to', 'options') : '');
$figure = (get_field('location_single_profile_figure', 'options') ? get_field('location_single_profile_figure', 'options') : '');
$hair_color = (get_field('location_single_profile__hair_color', 'options') ? get_field('location_single_profile__hair_color', 'options') : '');
$weight_from = (get_field('location_single_profile_weight_from', 'options') ? get_field('location_single_profile_weight_from', 'options') : '');
$weight_to = (get_field('location_single_profile_weight_to', 'options') ? get_field('location_single_profile_weight_to', 'options') : '');
$size_from = (get_field('location_single_profile_size_from', 'options') ? get_field('location_single_profile_size_from', 'options') : '');
$size_to = (get_field('location_single_profile_size_to', 'options') ? get_field('location_single_profile_size_to', 'options') : '');
$grid_col = (get_field('location_single_profile_grid_col', 'options') ? get_field('location_single_profile_grid_col', 'options') : '');


// START Auto Profiles
$args = array(
    'post_type' => 'profile',
    'posts_per_page' => $posts_per_page,
    'meta_query' => array()
);

/*
 * Geschlecht
 */
if($gender) {
    $args['meta_query'][] = array(
        array(
            'key'       => 'profile_gender',
            'value'     => $gender
        )
    );
}

/*
* Alter
*/
if($age_from || $age_to) {
    if ($age_from == '') {
        $age_from = '0';
    }

    if ($age_to == '') {
        $age_to = '999';
    }

    $args['meta_query'][] = array(
        array(
            'key' => 'profile_age',
            'value' => array($age_from, $age_to),
            'compare' => 'BETWEEN',
            'type' => 'NUMERIC'
        )
    );
}

/*
 * Figur
 */
if($figure) {
    $args['meta_query'][] = array(
        array(
            'key'       => 'profile_figure',
            'value'     => $figure
        )
    );
}

/*
 * Haarfarbe
 */
if($hair_color) {
    $args['meta_query'][] = array(
        array(
            'key'       => 'profile_hair_color',
            'value'     => $hair_color
        )
    );
}

/*
* Gewicht
*/
if($weight_from || $weight_to) {
    if($weight_from == '') {
        $weight_from = '0';
    }

    if($weight_to == '') {
        $weight_to = '999';
    }

    $args['meta_query'][] = array(
        array(
            'key'       => 'profile_weight',
            'value'     => array($weight_from, $weight_to),
            'compare'   => 'BETWEEN',
            'type'      => 'NUMERIC'
        )
    );
}

/*
* Größe
*/
if($size_from || $size_to) {
    if($size_from == '') {
        $size_from = '0';
    }

    if($size_to == '') {
        $size_to = '999';
    }

    $args['meta_query'][] = array(
        array(
            'key'       => 'profile_size',
            'value'     => array($size_from, $size_to),
            'compare'   => 'BETWEEN',
            'type'      => 'NUMERIC'
        )
    );
}
// END Auto Profiles

// START Ad Profiles
$args_a = array(
    'post_type' => 'profile',
    'posts_per_page' => '3',
    'orderby' => 'rand',
    'meta_query' => array(
        'relation' => 'AND',
        array(
            'key' => 'profile_ad',
            'value' => '1',
            'compare' => '='
        )
    ),
    'fields' => 'ids'
);
$profiles_ads = new WP_Query($args_a);
    
if ($profiles_ads->have_posts()) {
    $args['post__not_in'] = ($profiles_ads->posts ? $profiles_ads->posts : array());
}
// END Ad Profiles

// START Predefined Profiles
if($predefined_profiles) {
    $args_p = array(
        'post_type' => 'profile',
        'posts_per_page' => -1,
        'post__in' => $predefined_profiles,
        'fields' => 'ids'
    );

    $profiles_predefined = new WP_Query($args_p);
}
// END Predefined Profiles

if($order_args = dt_get_profile_orderby_args($orderby, $order)) {
    $args = array_merge($args, $order_args);
}

$profiles = new WP_Query($args); if ($profiles->have_posts()) :
    // merge predefine loop
    if(is_object($profiles_predefined) && $profiles_predefined->have_posts()) {
        if(count($profiles_predefined->posts) < $posts_per_page) {
            $profiles->posts = array_merge($profiles_predefined->posts, $profiles->posts);
            $profiles->posts = array_slice($profiles->posts, 0, $posts_per_page);
            $profiles->post_count = count($profiles->posts);
        }
    }

    // merge ad loop
    if($profiles_ads->have_posts()) {
        // get the first 5 posts
        $first_part = array_splice($profiles->posts, 0, 3);
        $first_part_with_ads = array_merge( $profiles_ads->posts, $first_part );
        shuffle($first_part_with_ads);
        $profiles->posts = array_merge( $first_part_with_ads, $profiles->posts );
        $profiles->post_count = count( $profiles->posts );
    }
    
    if($layout == 'grid' || $layout == 'grid-small') {
        echo '<div class="row">';
    }

    while ($profiles->have_posts()) : $profiles->the_post();
        get_template_part('parts/profiles/loop', $layout);
    endwhile;

    if($layout == 'grid' || $layout == 'grid-small') {
        echo '</div>';
    }

    wp_reset_postdata();
endif;