<?php
get_header();

global $query_string;
parse_str($query_string, $args);

/*
 * VARS
 */
$sidebar = dt_get_sidebar('profile', 'taxonomy');
$sidebar_size = dt_get_sidebar_size('profile', 'taxonomy');
$queried_object = get_queried_object();
$term_id = $queried_object->term_id;
$taxonomy = $queried_object->taxonomy;

$layout = (get_field('profile_taxonomy_layout', 'options') ? get_field('profile_taxonomy_layout', 'options') : 'list');
$args = dt_get_profile_taxonomy_args($args);
?>

<div id="main" class="<?php echo dt_get_section_layout_class('content'); ?>">
    <div class="container">
        <div class="row">
            <div class="col-sm-<?php if($sidebar == 'none') : echo '12'; else: echo $sidebar_size['content']; endif; ?>">
                <div id="content">
                    <?php
                    echo apply_filters('dt_taxonomy_page_title', '<h1>' . single_cat_title('', false) . '</h1>', $taxonomy, $term_id);

                    if(!is_paged()) {
                        if (category_description()) {
                            echo category_description() . '<div class="clearfix"></div><hr>';
                        }
                    }

                    query_posts($args);
                    if (have_posts()) : while (have_posts()) : the_post();
                        get_template_part('parts/profiles/loop', $layout);
                    endwhile; /*echo dt_pagination(3);*/  endif;
                    ?>
                </div>
            </div>

            <?php if('left' == $sidebar || 'right' == $sidebar) { ?>
                <div class="col-sm-<?php echo $sidebar_size['sidebar']; ?>">
                    <div id="sidebar">
                        <?php get_sidebar(); ?>
                    </div>
                </div>
            <?php } ?>
        </div>
    </div>
</div>

<?php get_footer(); ?>
