<?php
/*
 * TEMPLATE NAME: Schnellsuche (Zielseite)
 */
get_header();

/*
 * VARS
 */
$sidebar = dt_get_sidebar('profile', 'filter');
$sidebar_size = dt_get_sidebar_size('profile', 'filter');
?>

<div id="main" class="<?php echo dt_get_section_layout_class('content'); ?>">
    <div class="container">
        <div class="row">
            <div class="col-sm-<?php if($sidebar == 'none') : echo '12'; else: echo $sidebar_size['content']; endif; ?>">
                <div id="content">
                    <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
                        <h1><?php _e('Ihre Suche ergab folgende Treffer', 'datingtheme'); ?></h1>
                        <?php the_content(); ?>

                        <?php
                        /*
                         * VARS
                         */
                        $gender = (isset($_GET['gender']) ? $_GET['gender'] : '');
                        $age_from = (isset($_GET['age_from']) ? $_GET['age_from'] : '');
                        $age_to = (isset($_GET['age_to']) ? $_GET['age_to'] : '');
                        $size_from = (isset($_GET['size_from']) ? $_GET['size_from'] : '');
                        $size_to = (isset($_GET['size_to']) ? $_GET['size_to'] : '');
                        $weight_from = (isset($_GET['weight_from']) ? $_GET['weight_from'] : '');
                        $weight_to = (isset($_GET['weight_to']) ? $_GET['weight_to'] : '');
                        $figure = (isset($_GET['figure']) ? $_GET['figure'] : '');
                        $hair_color = (isset($_GET['hair_color']) ? $_GET['hair_color'] : '');
                        $city = (isset($_GET['city']) ? $_GET['city'] : '');
                        $posts_per_page = '12';
                        $layout = 'list';

                        $args = array(
                            'post_type'         => 'profile',
                            'posts_per_page'    => $posts_per_page,
                            'meta_query'        => array(
                                'relation'      => 'AND'
                            )
                        );

                        /*
                         * Geschlecht
                         */
                        if($gender) {
                            $args['meta_query'][] = array(
                                'key'       => 'profile_gender',
                                'value'     => $gender
                            );
                        }

                        /*
                        * Alter
                        */
                        if($age_from || $age_to) {
                            if($age_from == '') {
                                $age_from = '0';
                            }

                            if($age_to == '') {
                                $age_to = '999';
                            }

                            $args['meta_query'][] = array(
                                'key'       => 'profile_age',
                                'value'     => array($age_from, $age_to),
                                'compare'   => 'BETWEEN',
                                'type'      => 'NUMERIC'
                            );
                        }

                        /*
                         * Figur
                         */
                        if($figure) {
                            $args['meta_query'][] = array(
                                'key'       => 'profile_figure',
                                'value'     => $figure
                            );
                        }

                        /*
                         * Haarfarbe
                         */
                        if($hair_color) {
                            $args['meta_query'][] = array(
                                'key'       => 'profile_hair_color',
                                'value'     => $hair_color
                            );
                        }

                        /*
                        * Gewicht
                        */
                        if($weight_from || $weight_to) {
                            if($weight_from == '') {
                                $weight_from = '0';
                            }

                            if($weight_to == '') {
                                $weight_to = '999';
                            }

                            $args['meta_query'][] = array(
                                'key'       => 'profile_weight',
                                'value'     => array($weight_from, $weight_to),
                                'compare'   => 'BETWEEN',
                                'type'      => 'NUMERIC'
                            );
                        }

                        /*
                        * Größe
                        */
                        if($size_from || $size_to) {
                            if($size_from == '') {
                                $size_from = '0';
                            }

                            if($size_to == '') {
                                $size_to = '999';
                            }

                            $args['meta_query'][] = array(
                                'key'       => 'profile_size',
                                'value'     => array($size_from, $size_to),
                                'compare'   => 'BETWEEN',
                                'type'      => 'NUMERIC'
                            );
                        }

                        /*
                         * Stadt

                        if($city) {
                            $args['meta_query'][] = array(
                                'key'       => 'profile_city',
                                'value'     => $city
                            );
                        }*/

                        $profiles = new WP_Query($args); if ($profiles->have_posts()) :
                            if($layout == 'grid' || $layout == 'grid-small') {
                                echo '<div class="row">';
                            }

                            while ($profiles->have_posts()) : $profiles->the_post();
                                get_template_part('parts/profiles/loop', $layout);
                            endwhile;

                            if($layout == 'grid' || $layout == 'grid-small') {
                                echo '</div>';
                            }

                            wp_reset_postdata();
                        endif;

                        if(dt_get_social('page'))
                            get_template_part('parts/stuff/code', 'social');
                        ?>
                    <?php endwhile; endif; ?>
                </div>
            </div>

            <?php if('left' == $sidebar || 'right' == $sidebar) { ?>
                <div class="col-sm-<?php echo $sidebar_size['sidebar']; ?>">
                    <div id="sidebar">
                        <?php get_sidebar(); ?>
                    </div>
                </div>
            <?php } ?>
        </div>
    </div>
</div>

<?php get_footer(); ?>
