<?php
/*
 * Template Name: Städteübersicht A-Z
 */
get_header();
$letter = (isset($_GET['letter']) ? $_GET['letter'] : '');
global $wpdb;
?>

<div id="main" class="<?php echo dt_get_section_layout_class('content'); ?>">
    <div class="container">
        <div id="content">
            <?php
            if (have_posts()) : while (have_posts()) : the_post();
                if($post->post_content && !$letter) {
                    the_content();
                    echo '<hr>';
                }
                ?>

                <h2>
                    <?php
                    if($letter) {
                        printf(__('Städte beginnend mit: %s', 'datingtheme'), strtoupper($letter));
                    } else {
                        _e('Folgende Städte anzeigen', 'datingtheme');
                    }
                    ?>
                </h2>
                <div id="location-az">
                    <ul class="list-inline location-list-city-nav">
                        <?php
                        foreach (range('a', 'z') as $char) {
                            echo '<li ' . ($letter == $char ? 'class="current"' : '') . '><a href="?letter=' .  $char . '">' . strtoupper($char) . '</a></li>';
                        }
                        ?>
                    </ul>
                </div>

                <?php
                if(!$letter) {
                    /*
                     * Zeige Bundesländer/Kantone aller Länder
                     */
                    $args = array(
                        'post_type' => 'location',
                        'meta_query' => array(
                            array(
                                'key' => 'typ',
                                'value' => 'country'
                            )
                        ),
                        'fields' => 'ids',
                        'posts_per_page' => -1,
                        'orderby' => 'title',
                        'order' => 'ASC'
                    );
                    $countries = get_posts($args);
                    if ($countries) {
                        foreach($countries as $country) {
                            ?>
                            <div class="country country-<?php echo $country; ?>">
                                <?php
                                $args_s = array(
                                    'post_type' => 'location',
                                    'meta_query' => array(
                                        array(
                                            'key' => 'typ',
                                            'value' => 'state'
                                        )
                                    ),
                                    'fields' => 'ids',
                                    'posts_per_page' => -1,
                                    'orderby' => 'title',
                                    'order' => 'ASC',
                                    'post_parent' => $country
                                );
                                $states = new WP_Query($args_s);
                                if ($states->have_posts()) {
                                    $i = 0;
                                    ?>
                                    <h3><?php echo get_the_title($country) . ' - ' . dt_get_country_states_title($country); ?></h3>
                                    <div class="row" id="location-list-states">
                                        <div class="col-sm-3">
                                            <ul>
                                                <?php
                                                while ($states->have_posts()) {
                                                    $states->the_post();
                                                    if ($i % 4 == 0 && $i != 0) echo '</ul></div><div class="col-sm-3"><ul>';
                                                    ?>
                                                    <li>
                                                        <a href="<?php echo get_permalink(); ?>"><?php echo get_the_title(); ?></a>
                                                    </li>
                                                    <?php
                                                    $i++;
                                                }
                                                ?>
                                            </ul>
                                        </div>
                                    </div>
                                    <hr>
                                    <?php
                                }
                                wp_reset_postdata();
                                ?>
                            </div>
                            <?php
                        }
                    }
                    wp_reset_postdata();
                } else {
                    // Filter für Städte gesetzt
                    $args = array(
                        'post_type' => 'location',
                        'meta_query' => array(
                            array(
                                'key' => 'typ',
                                'value' => 'country'
                            )
                        ),
                        'fields' => 'ids',
                        'posts_per_page' => -1,
                        'orderby' => 'title',
                        'order' => 'ASC'
                    );
                    $countries = get_posts($args);
                    if ($countries) {
                        foreach ($countries as $country) {
                            $args = array(
                                'post_type' => 'location',
                                'meta_query' => array(
                                    array(
                                        'key' => 'typ',
                                        'value' => 'city'
                                    )
                                ),
                                'fields' => 'ids',
                                'posts_per_page' => -1,
                                'search_prod_title' => $letter,
                                'orderby' => 'title',
                                'order' => 'ASC',
                                'post_parent__in' => dt_get_country_states_ids($country)
                            );
                            add_filter('posts_where', 'dt_city_title_filter', 10, 2);
                            $citys = new WP_Query($args);
                            remove_filter('posts_where', 'dt_city_title_filter', 10, 2);

                            if ($citys->have_posts()) {
                                $count = $citys->post_count;

                                $citys_diff = (($count > 1) ? round($count / 4) : '1');
                                $i = 0;
                                $title = get_the_title($country);

                                if($title == 'Schweiz') {
                                    $title = __('der', 'datingtheme') . ' ' . get_the_title($country);
                                }
                                ?>
                                <h3><?php printf(__('in %s', 'datingtheme'), $title); ?></h3>
                                <div class="row" id="location-list-citys">
                                    <div class="col-sm-3">
                                        <ul><?php
                                            while ($citys->have_posts()) {
                                                $citys->the_post();
                                                if ($i % $citys_diff == 0 && $i != 0) echo '</ul></div><div class="col-sm-3"><ul>';
                                                ?>
                                                <li>
                                                    <a href="<?php echo get_permalink(); ?>"><?php echo get_the_title(); ?></a>
                                                </li>
                                                <?php
                                                $i++;
                                            }
                                            ?>
                                        </ul>
                                    </div>
                                </div>
                                <hr>
                                <?php
                            }
                            wp_reset_postdata();
                        }
                    }
                }

                if(dt_get_social('page'))
                    get_template_part('parts/stuff/code', 'social');
                ?>
            <?php endwhile; endif; ?>
        </div>
    </div>
</div>

<?php get_footer(); ?>
